> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Получение результата Sora

> Запросить текущие результаты создания видео по jobId



## OpenAPI

````yaml openapi/ru/sora.json get /sora/fetch
openapi: 3.1.0
info:
  title: Документация Sora API
  version: 1.0.0
  description: TTAPI Sora API сервис
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /sora/fetch:
    get:
      description: Запросить текущие результаты создания видео по jobId
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FetchRequest'
      responses:
        '200':
          description: Запрос на создание видео выполнен успешно
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - PENDING_QUEUE
                      - ON_QUEUE
                      - SUCCESS
                      - FAILED
                    description: >-
                      Статус задачи: PENDING_QUEUE — в очереди, ON_QUEUE —
                      выполняется, SUCCESS — успешно, FAILED — ошибка.
                    example: SUCCESS
                  message:
                    type: string
                    description: >-
                      Ответное сообщение: пустая строка в случае успеха, в
                      случае неудачи возвращается конкретная причина ошибки
                      (например, «недостаточная квота», «быстрое нарушение»).
                    example: ''
                  jobId:
                    type: string
                    description: >-
                      Уникальный идентификатор задачи для запроса статуса задачи
                      или получения уведомлений об обратном вызове.
                    example: c679a92e-dae0-462d-b70f-dcfeaf2189fa
                  data:
                    oneOf:
                      - title: Создание видео
                        type: object
                        description: Создать видео
                        properties:
                          model:
                            type: string
                            description: Модель для использования
                          prompt:
                            type: string
                            description: Описание видео
                          referImages:
                            type: array
                            description: >-
                              Массив референс-изображений. Срок действия: см.
                              [Хранение и устойчивость](/grids/ru/faq/storage)
                          videoUrl:
                            type: string
                            description: >-
                              URL видео. Срок действия: см. [Хранение и
                              устойчивость](/grids/ru/faq/storage)
                          quota:
                            type: string
                            description: Израсходованная quota
                          hookUrl:
                            type: string
                            description: URL обратного вызова
                          finishTime:
                            type: string
                            description: Время завершения
                      - type: object
                        title: Создание персонажа
                        description: Создать персонажа
                        properties:
                          timestamps:
                            type: string
                            description: Время появления персонажа в видео
                          url:
                            type: string
                            description: URL
                          userName:
                            type: array
                            description: Имя персонажа
                          userPictureUrl:
                            type: string
                            description: >-
                              Аватар персонажа. Срок действия: см. [Хранение и
                              устойчивость](/grids/ru/faq/storage)
                          quota:
                            type: string
                            description: Израсходованная quota
                          hookUrl:
                            type: string
                            description: URL обратного вызова
                          finishTime:
                            type: string
                            description: Время завершения
                      - type: object
                        title: Удаление водяного знака
                        description: Удалить водяной знак
                        properties:
                          url:
                            type: string
                            description: URL
                          videoUrl:
                            type: string
                            description: >-
                              URL видео. Срок действия: см. [Хранение и
                              устойчивость](/grids/ru/faq/storage)
                          quota:
                            type: string
                            description: Израсходованная quota
                          hookUrl:
                            type: string
                            description: URL обратного вызова
                          finishTime:
                            type: string
                            description: Время завершения
                required:
                  - status
                  - message
                  - jobId
                example:
                  status: SUCCESS
                  message: ''
                  jobId: c679a92e-dae0-462d-b70f-dcfeaf2189fa
                  data:
                    model: sora-2
                    prompt: >-
                      Style: Modern advertising, photorealism, iPhone
                      photography. Scene: A coffee shop in downtown. A man in a
                      light-colored shirt opens his laptop and drinks coffee.
                      Camera: Close-up, slight zoom. Lighting: Soft light from
                      the window, reflections on the table. Action: Looking up,
                      smiling, typing
                    referImages: null
                    videoUrl: >-
                      https://cdn.ttapi.io/other/2025-10-10/35f50ab8-6f98-493d-94c4-5587ca246bb3.mp4
                    quota: '3'
                    finishTime: '2025-10-10 07:24:42'
                    hookUrl: null
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    FetchRequest:
      type: object
      properties:
        jobId:
          type: string
          description: Идентификатор сгенерированного видео
      required:
        - jobId
  responses:
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Вы можете получить API-ключ в <a href='https://dashboard.ttapi.io'
        target='_blank'>панель управления TTAPI</a>.

````